<?php
require_once 'includes/helpers.php';
$authentication = new Authentication();
$authentication->CheckAuthentication();
SetTimeZone();


// Original PHP code by Chirp Internet: www.chirp.com.au
// Please acknowledge use of this code by including this header.
require_once 'classes/DoseController.php';

global $DoseController;

function cleanData(&$str)
{
    if ($str == 't') $str = 'TRUE';
    if ($str == 'f') $str = 'FALSE';
    if (preg_match("/^0/", $str) || preg_match("/^\+?\d{8,}$/", $str) || preg_match("/^\d{4}.\d{1,2}.\d{1,2}/", $str)) {
        $str = "'$str";
    }
    if (strstr($str, '"')) $str = '"' . str_replace('"', '""', $str) . '"';
}

// filename for download
$filename = "dose_active_orders_data_" . date('Ymd') . ".csv";

header("Content-Disposition: attachment; filename=\"$filename\"");
header("Content-Type: text/csv");

$out = fopen("php://output", 'w');
$flag = false;

$status_id = (isset($_GET['status'])) ? $_GET['status'] : "";
$st_id = (isset($_GET['id'])) ? $_GET['id'] : $_SESSION["store_id"];
$qtyLeft = (isset($_GET['qtyLeft'])) ? $_GET['qtyLeft'] : "";

$filterDate = "";
if (isset($_GET['startdate']) && isset($_GET['enddate'])) {
    $dt1 = $_GET['startdate'];
    $dt2 = $_GET['enddate'];
    $start_dt = date('Y-m-d', strtotime($dt1));
    $end_dt = date('Y-m-d', strtotime($dt2));

    $filterDate = " BETWEEN '$start_dt' AND '$end_dt'";
} else {
    $start_dt = date("Y-m-d", strtotime('first day of this month'));
    $end_dt = date("Y-m-d", strtotime("last day of this month"));

    $filterDate = " BETWEEN '$start_dt' AND '$end_dt'";
}

$showAllStores = isset($_GET['showAllStores']);
$uid = $_SESSION["userid"];

$filter = "";
$join = " WHERE ";

$doseStoreFilter = "";
$storeFilter = "";

if ($st_id != 0) {
    $doseStoreFilter = " WHERE store_id = $st_id OR store_id IS NULL";
    $storeFilter = " AND it.store_id = $st_id";
} else {
    if ($showAllStores) {
        $doseStoreFilter = " WHERE store_id in (select store_id from emp_store where emp_id = $uid) OR store_id IS NULL";
        $storeFilter = " AND it.store_id in (select store_id from emp_store where emp_id = $uid)";
    } else {
        $doseStoreFilter = " WHERE store_id in (select e.store_id from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id = $uid and status=0) OR store_id IS NULL";
        $storeFilter = " AND it.store_id in (select e.store_id from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id = $uid and status=0)";
    }
}

if ($status_id == "") {
    $filter .= " $join (((d.status<>2) AND (d.status < 5) or d.status is null))"; // all that are NOT delivered and active will be displayed
    $join = " AND ";
} else {
    if ($status_id != "All") {
        $filter .= " $join d.status=$status_id";
        $join = " AND ";
    }
}

$sql = "
SELECT
	it.`id`,
	it.`invoice_num`,
	c.id AS contact_id,
	c.fname,
	c.lname,
	c.phone,
	inv.`dose` * SUM(i.`quantity`) AS purchased_doses,
	IFNULL(SUM(d.`amount`), 0) AS ordered_doses,
	IFNULL(SUM(d.`left`), 0) AS left_doses,
	IFNULL((SELECT SUM(`amount`) FROM dose_lastorder
	WHERE dose_lastorder.`invoice_id` = it.id AND `inventory_id` = inv.`id` AND dose_lastorder.`status` <> 6), 0) total_ordered_doses,
	inv.`dose`,
	i.`item_id`,
	SUM(i.`quantity`) AS total_quantity,
	inv.`name`,
	d.status,
	d.id AS order_id,
	d.ordered_date,
	d.modified_date
FROM
	invoice_total it
INNER JOIN
	invoice i
ON
	it.`id` = i.`invoice_id`
INNER JOIN
	inventory inv
ON
	i.`item_id` = inv.`id`
INNER JOIN
	contacts c
ON
	it.contact_id = c.`id`
LEFT JOIN
	(SELECT * FROM dose_order_details $doseStoreFilter) d
ON
	d.`contact_id` = it.contact_id AND d.`inventory_id` = inv.`id` AND d.`invoice_id` = it.`id`
$filter
GROUP BY
	it.`id`, it.`invoice_num`, c.id, c.fname, c.lname, c.phone, inv.`dose`, inv.`name`, d.status, order_id, it.store_id
HAVING
	NOT purchased_doses IS NULL
AND
    (d.ordered_date $filterDate OR d.ordered_date IS NULL)
$storeFilter
";

if ($qtyLeft != "")
    $sql .= " AND left_doses < $qtyLeft";

$result = mysql_query($sql) or die('Query failed!');
while (false !== ($row = mysql_fetch_assoc($result))) {
    if (!$flag) {
        // display field/column names as first row
        fputcsv($out, array_keys($row), ',', '"');
        $flag = true;
    }

    $row["status"] = $DoseController->Statuses[$row["status"]];

    array_walk($row, 'cleanData');
    fputcsv($out, array_values($row), ',', '"');
}

fclose($out);
exit;
