<?php
require_once 'includes/helpers.php';
$authentication = new Authentication();
$authentication->CheckAuthentication();
SetTimeZone();


// Original PHP code by Chirp Internet: www.chirp.com.au
// Please acknowledge use of this code by including this header.

require_once 'classes/DoseController.php';

global $DoseController;

function cleanData(&$str)
{
    if ($str == 't') $str = 'TRUE';
    if ($str == 'f') $str = 'FALSE';
    if (preg_match("/^0/", $str) || preg_match("/^\+?\d{8,}$/", $str) || preg_match("/^\d{4}.\d{1,2}.\d{1,2}/", $str)) {
        $str = "'$str";
    }
    if (strstr($str, '"')) $str = '"' . str_replace('"', '""', $str) . '"';
}

// filename for download
$filename = "dose_active_orders_summary_data_" . date('Ymd') . ".csv";

header("Content-Disposition: attachment; filename=\"$filename\"");
header("Content-Type: text/csv");

$out = fopen("php://output", 'w');
$flag = false;

$st_id = (isset($_GET['id'])) ? $_GET['id'] : $_SESSION["store_id"];
$qtyLeft = (isset($_GET['qtyLeft'])) ? $_GET['qtyLeft'] : "";

$filterDate = "";
$dt1 = "";
$dt2 = "";
if (isset($_GET['startdate']) && isset($_GET['enddate'])) {
    $dt1 = $_GET['startdate'];
    $dt2 = $_GET['enddate'];
    $start_dt = date('Y-m-d', strtotime($dt1));
    $end_dt = date('Y-m-d', strtotime($dt2));

    $filterDate = " BETWEEN '$start_dt' AND '$end_dt'";
} else {
    $start_dt = date("Y-m-d", strtotime('first day of this month'));
    $end_dt = date("Y-m-d", strtotime("last day of this month"));

    $filterDate = " BETWEEN '$start_dt' AND '$end_dt'";
}

$showAllStores = isset($_GET['showAllStores']);
$uid = $_SESSION["userid"];

$inv_filter = "";
$dose_filter = "";

if ($st_id != 0) {
    $inv_filter .= " and it.store_id = $st_id";
    $dose_filter .= " and (d.store_id = $st_id OR d.store_id IS NULL)";
} else {
    if ($showAllStores) {
        $inv_filter .= " and it.store_id in (select store_id from emp_store where emp_id = $uid)";
        $dose_filter .= " and (d.store_id in (select store_id from emp_store where emp_id = $uid) OR d.store_id IS NULL)";
    } else {
        $inv_filter .= " and it.store_id in (select e.store_id from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id = $uid and status=0)";
        $dose_filter .= " and (d.store_id in (select e.store_id from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id = $uid and status=0) OR d.store_id IS NULL)";
    }
}

$sql = "
    SELECT h.*,
     IFNULL(total_ordered,0) total_ordered, ordered_date, last_update
    FROM
    (

    SELECT
        c.id AS contact_id,
        c.fname,
        c.lname,
        c.phone,
        inv.`dose`,
        SUM(i.`quantity`) AS total_quantity,
        inv.`dose` * SUM(i.`quantity`) AS purchased_doses,
        i.`item_id`,
        inv.`name`,
        inv.`id` inventory_id,
        it.`id` invoice_id,
        it.invoice_num
    FROM invoice_total it
    INNER JOIN invoice i ON it.`id` = i.`invoice_id`
    INNER JOIN inventory inv ON i.`item_id` = inv.`id`
    INNER JOIN contacts c ON it.contact_id = c.`id`
    WHERE NOT dose IS NULL
    $inv_filter
    GROUP BY c.id, c.fname, c.lname, c.phone, inv.`dose`, inv.`name`

    ) h LEFT JOIN
    (SELECT contact_id, inventory_id, invoice_id, MAX(ordered_date) ordered_date, MAX(modified_date) last_update, SUM(amount) total_ordered, SUM(`left`) total_left FROM dose_order_details d
    WHERE `status` <> 6
    $dose_filter
    GROUP BY contact_id, inventory_id, invoice_id
    ) d
    ON
        d.`contact_id` = h.contact_id AND d.`inventory_id` = h.`inventory_id` AND d.`invoice_id` = h.`invoice_id`
    WHERE
        (d.ordered_date $filterDate OR d.ordered_date IS NULL)
    ";

if ($qtyLeft != "")
    $sql .= " AND (purchased_doses-total_ordered) < $qtyLeft";

$result = mysql_query($sql) or die('Query failed!');
while (false !== ($row = mysql_fetch_assoc($result))) {
    if (!$flag) {
        // display field/column names as first row
        fputcsv($out, array_keys($row), ',', '"');
        $flag = true;
    }

    array_walk($row, 'cleanData');
    fputcsv($out, array_values($row), ',', '"');
}

fclose($out);
exit;
