<?php
require_once __DIR__ . DIRECTORY_SEPARATOR . 'includes' . DIRECTORY_SEPARATOR . 'helpers.php';
require_once __DIR__ . DIRECTORY_SEPARATOR . 'classes' . DIRECTORY_SEPARATOR . 'ModuleHistoryController.php';

$authentication = new Authentication();
$authentication->CheckAuthentication();

SetTimeZone();

$role = $_SESSION["role"];
$can_delete = $authentication->CanDelete($role , Modules::CONTACTS);

require_once('classes/DoseController.php');
global $DoseController;

$validation = new Validation();
$id = $validation->GetNumericParameter('id');

$ModuleHistoryController = new ModuleHistoryController();
$ModuleHistoryController->Add(Modules::CONTACTS, $id);

?>
<!DOCTYPE html>
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>Edit Contact</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" type="text/css" href="assets/plugins/jquery-multi-select/css/multi-select.css"/>

    <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css"/>
    <!-- END PAGE LEVEL SCRIPTS -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-datepicker/css/datepicker.css"/>
    <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-timepicker/compiled/timepicker.css"/>
    <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-colorpicker/css/colorpicker.css"/>
    <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-daterangepicker/daterangepicker-bs3.css"/>
    <link rel="stylesheet" type="text/css" href="assets/plugins/bootstrap-datetimepicker/css/datetimepicker.css"/>
    <link rel="shortcut icon" href="favicon.ico"/>
</head>
<style>
    .alert {
        padding: 7px;
    }
</style>
<style>

    .page-sidebar-closed .page-content {
        margin-left: 0px !important;
    }
</style>
<style>
    img.avatar {
        height: 100px;
        width: 100px;
        webkit-border-radius: 50% !important;
        -moz-border-radius: 50% !important;
        border-radius: 50% !important;
    }

    }
</style>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="#">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
<!-- BEGIN SIDEBAR -->

<!-- BEGIN SIDEBAR MENU -->
<?php include('menu.php'); ?>
<!-- END SIDEBAR MENU -->

<!-- END SIDEBAR -->
<!-- BEGIN PAGE -->
<div class="page-content">
<div class="modal fade in" id="portlet-config12" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="false" style="display: none;">
    <div class="modal-dialog modal-wide">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Edit</h4>
            </div>
            <div class="modal-body">

                <div class="scroller" id="portlet-config13" style="height: 500px; overflow: hidden; width: auto;"
                     data-always-visible="1" data-rail-visible1="1">


                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn blue" id="calendar_update">Save changes</button>
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>


<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->

<div class="modal fade in" id="portlet-config-dose" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="false" style="display: none;">
    <div class="modal-dialog modal-wide">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
            </div>
            <div class="modal-body">
                <div class="scroller" style="height: 300px; overflow: hidden; width: 100%;"
                     data-always-visible="1" data-rail-visible1="1">
                    <div class="row">

                        <div class="col-md-12 col-xs-12">
                            <!-- BEGIN PAGE TITLE & BREADCRUMB-->
                            <h3 class="page-title"></h3>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 col-xs-12">
                            <table></table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>

    <!-- /.modal-content -->
</div>

<div class="modal fade in" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="false" style="display: none;">
<div class="modal-dialog modal-wide">
<div class="modal-content">
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>

</div>
<div class="modal-body" id="portlet-config1">


<div class="row">

    <div class="col-md-10 col-xs-12">
        <img class="avatar pull-left" src="uploads/<?php //echo $img;?>" style="margin-left:2%;">


        <h3 class="page-title" style="background-color:<?php //echo $col;?>; color:#FFFFFF; height:100px;">

            <span
                style="color:<?php //echo $nc1; ?>"><br>&nbsp;&nbsp;<b><?php //echo $title; ?></b><br>&nbsp;&nbsp;<font
                    size="+1" color="<?php //echo $nc2; ?>"><?php //echo $subtitle; ?></font></span>

        </h3>
        <ul class="page-breadcrumb breadcrumb">
            <li>
                <!-- <i class="icon-home"></i>-->
                <a href="#" id="bread">Appointment &nbsp;</a>
                <!--<i class="icon-angle-right"></i>-->
            </li>
            <?php /* $query = mysql_query("SELECT * FROM calendar WHERE calendar_id = '$cid'");
				  while($row = mysql_fetch_array($query))
				  {$hr = $row['time_slot_hr'];
				  $min = $row['time_slot_min'];
				 
				  } */
            ?>
            <span class="pull-right"><img
                    src="uploads/clock.PNG"><?php //if(isset($hr) && $hr != 0){echo $hr.' hour ';} echo $min.' minutes'; ?></span>

        </ul>

    </div>
</div>

<div class="row">
    <div class="col-md-4 col-xs-6">
        <h4><b>Select Your Preferred Date</b></h4>
    </div>
</div>
<div class="row">
    <div class="col-md-4 col-xs-5">
        <div class="form-group">
            <div class="col-md-3">
                <?php /*$dates = date('Y-m-d',strtotime(' +1 day'));
				  $w = date('w',strtotime($dates));
				  $sql = "SELECT * FROM calendar_days WHERE block = 1 AND calendar_id = '$cid'";
				  $query  = mysql_query($sql);
				  while($row = mysql_fetch_array($query))
				  {
				  $d = $row['day_id'];
				  if($w == $d)
				  {
				 $dates = date('Y-m-d', strtotime($dates.' +1 day'));
				 $w = date('w',strtotime($dates));
				 }
				
				 }*/

                ?>
                <input type="text" id="datepick1" value="<?php //echo $dates; ?>" style="display:none;">
                <?php //$date1 = date('m/d/Y',strtotime($dates));
                //$date3 =  date("D, M j Y",strtotime($date1));
                ?>
                <input type="text" id="datepick3" value="<?php //echo $date3; ?>" style="display:none;">
                <input type="text" id="datepick2" value="" style="display:none;">
                <!--<input class="form-control form-control-inline input-medium date-picker" id="datepick" data-date-format="yyyy-mm-dd"  size="14" type="text" value="<?php //echo $dates; ?>" autofocus="autofocus" tabindex="1"  name="datepick" />-->
                <div class="date-picker" id="datepick" data-date="<?php //echo $date1; ?>"
                     data-date-format="mm/dd/yyyy">
                </div>

            </div>
        </div>
    </div>

    <div class="col-md-6 col-xs-6">
        <div class="form-group">

            <div class="checkbox-list">
                <div id="display" style="height:270px;overflow:auto;">

                </div>

            </div>
        </div>

    </div>


</div>

<div class="row">
    <div class="col-md-10">
        <div class="btn-group pull-right">
            <form action="signup.php?id=<?php //echo $contact_id;?>" target="_blank" method="post" id="signup">
                <input type="text" class="form-control" name="startdate" id="startdate" style="display:none;">
                <input type="text" class="form-control" name="times" id="times" style="display:none;">
                <input type="text" class="form-control" name="tzn1" id="tzn1" style="display:none;">
                <button type="button" class="btn green" id="next" style="height:52px;">
                    Next <i class="icon-angle-right"></i>
                </button>
            </form>
        </div>

        <div class="alert alert-warning" id="tzone">All times are shown in Time Zone is: <b><span
                    id="tzn">UTC</span></b>
            &nbsp;<span id="t_sel">
		<select id="choose" class="choose">
            <option value="Pacific/Midway">(GMT-11:00) Midway Island
            <option value="Pacific/Samoa">(GMT-11:00) Samoa
            <option value="Pacific/Honolulu">(GMT-10:00) Hawaii
            <option value="America/Anchorage">(GMT-09:00) Alaska
            <option value="America/Los_Angeles">(GMT-08:00) Pacific Time (US &amp; Canada)
            <option value="America/Tijuana">(GMT-08:00) Tijuana
            <option value="America/Chihuahua">(GMT-07:00) Chihuahua
            <option value="America/Chihuahua">(GMT-07:00) La Paz
            <option value="America/Mazatlan">(GMT-07:00) Mazatlan
            <option value="America/Denver">(GMT-07:00) Mountain Time (US &amp; Canada)
            <option value="America/Managua">(GMT-06:00) Central America
            <option value="America/Chicago">(GMT-06:00) Central Time (US &amp; Canada)
            <option value="America/Mexico_City">(GMT-06:00) Guadalajara
            <option value="America/Mexico_City">(GMT-06:00) Mexico City
            <option value="America/Monterrey">(GMT-06:00) Monterrey
            <option value="America/Bogota">(GMT-05:00) Bogota
            <option value="America/New_York">(GMT-05:00) Eastern Time (US &amp; Canada)
            <option value="America/Lima">(GMT-05:00) Lima
            <option value="America/Bogota">(GMT-05:00) Quito
            <option value="Canada/Atlantic">(GMT-04:00) Atlantic Time (Canada)
            <option value="America/Caracas">(GMT-04:30) Caracas
            <option value="America/La_Paz">(GMT-04:00) La Paz
            <option value="America/Santiago">(GMT-04:00) Santiago
            <option value="America/St_Johns">(GMT-03:30) Newfoundland
            <option value="America/Sao_Paulo">(GMT-03:00) Brasilia
            <option value="America/Argentina/Buenos_Aires">(GMT-03:00) Buenos Aires
            <option value="America/Argentina/Buenos_Aires">(GMT-03:00) Georgetown
            <option value="America/Godthab">(GMT-03:00) Greenland
            <option value="America/Noronha">(GMT-02:00) Mid-Atlantic
            <option value="Atlantic/Azores">(GMT-01:00) Azores
            <option value="Atlantic/Cape_Verde">(GMT-01:00) Cape Verde Is.
            <option value="Africa/Casablanca">(GMT+00:00) Casablanca
            <option value="Europe/London">(GMT+00:00) Edinburgh
            <option value="Europe/Dublin">(GMT+00:00) Dublin
            <option value="Europe/Lisbon">(GMT+00:00) Lisbon
            <option value="Europe/London">(GMT+00:00) London
            <option value="Africa/Monrovia">(GMT+00:00) Monrovia
            <option value="UTC">(GMT+00:00) UTC
            <option value="Europe/Amsterdam">(GMT+01:00) Amsterdam
            <option value="Europe/Belgrade">(GMT+01:00) Belgrade
            <option value="Europe/Berlin">(GMT+01:00) Berlin
            <option value="Europe/Berlin">(GMT+01:00) Bern
            <option value="Europe/Bratislava">(GMT+01:00) Bratislava
            <option value="Europe/Brussels">(GMT+01:00) Brussels
            <option value="Europe/Budapest">(GMT+01:00) Budapest
            <option value="Europe/Copenhagen">(GMT+01:00) Copenhagen
            <option value="Europe/Ljubljana">(GMT+01:00) Ljubljana
            <option value="Europe/Madrid">(GMT+01:00) Madrid
            <option value="Europe/Paris">(GMT+01:00) Paris
            <option value="Europe/Prague">(GMT+01:00) Prague
            <option value="Europe/Rome">(GMT+01:00) Rome
            <option value="Europe/Sarajevo">(GMT+01:00) Sarajevo
            <option value="Europe/Skopje">(GMT+01:00) Skopje
            <option value="Europe/Stockholm">(GMT+01:00) Stockholm
            <option value="Europe/Vienna">(GMT+01:00) Vienna
            <option value="Europe/Warsaw">(GMT+01:00) Warsaw
            <option value="Africa/Lagos">(GMT+01:00) West Central Africa
            <option value="Europe/Zagreb">(GMT+01:00) Zagreb
            <option value="Europe/Athens">(GMT+02:00) Athens
            <option value="Europe/Bucharest">(GMT+02:00) Bucharest
            <option value="Africa/Cairo">(GMT+02:00) Cairo
            <option value="Africa/Harare">(GMT+02:00) Harare
            <option value="Europe/Helsinki">(GMT+02:00) Helsinki
            <option value="Europe/Istanbul">(GMT+02:00) Istanbul
            <option value="Asia/Jerusalem">(GMT+02:00) Jerusalem
            <option value="Europe/Helsinki">(GMT+02:00) Kyiv
            <option value="Africa/Johannesburg">(GMT+02:00) Pretoria
            <option value="Europe/Riga">(GMT+02:00) Riga
            <option value="Europe/Sofia">(GMT+02:00) Sofia
            <option value="Europe/Tallinn">(GMT+02:00) Tallinn
            <option value="Europe/Vilnius">(GMT+02:00) Vilnius
            <option value="Asia/Baghdad">(GMT+03:00) Baghdad
            <option value="Asia/Kuwait">(GMT+03:00) Kuwait
            <option value="Europe/Minsk">(GMT+03:00) Minsk
            <option value="Africa/Nairobi">(GMT+03:00) Nairobi
            <option value="Asia/Riyadh">(GMT+03:00) Riyadh
            <option value="Europe/Volgograd">(GMT+03:00) Volgograd
            <option value="Asia/Tehran">(GMT+03:30) Tehran
            <option value="Asia/Muscat">(GMT+04:00) Abu Dhabi
            <option value="Asia/Baku">(GMT+04:00) Baku
            <option value="Europe/Moscow">(GMT+04:00) Moscow
            <option value="Asia/Muscat">(GMT+04:00) Muscat
            <option value="Europe/Moscow">(GMT+04:00) St. Petersburg
            <option value="Asia/Tbilisi">(GMT+04:00) Tbilisi
            <option value="Asia/Yerevan">(GMT+04:00) Yerevan
            <option value="Asia/Kabul">(GMT+04:30) Kabul
            <option value="Asia/Karachi">(GMT+05:00) Islamabad
            <option value="Asia/Karachi">(GMT+05:00) Karachi
            <option value="Asia/Tashkent">(GMT+05:00) Tashkent
            <option value="Asia/Calcutta">(GMT+05:30) Chennai
            <option value="Asia/Kolkata">(GMT+05:30) Kolkata
            <option value="Asia/Calcutta">(GMT+05:30) Mumbai
            <option value="Asia/Calcutta">(GMT+05:30) New Delhi
            <option value="Asia/Calcutta">(GMT+05:30) Sri Jayawardenepura
            <option value="Asia/Katmandu">(GMT+05:45) Kathmandu
            <option value="Asia/Almaty">(GMT+06:00) Almaty
            <option value="Asia/Dhaka">(GMT+06:00) Astana
            <option value="Asia/Dhaka">(GMT+06:00) Dhaka
            <option value="Asia/Yekaterinburg">(GMT+06:00) Ekaterinburg
            <option value="Asia/Rangoon">(GMT+06:30) Rangoon
            <option value="Asia/Bangkok">(GMT+07:00) Bangkok
            <option value="Asia/Bangkok">(GMT+07:00) Hanoi
            <option value="Asia/Jakarta">(GMT+07:00) Jakarta
            <option value="Asia/Novosibirsk">(GMT+07:00) Novosibirsk
            <option value="Asia/Hong_Kong">(GMT+08:00) Beijing
            <option value="Asia/Chongqing">(GMT+08:00) Chongqing
            <option value="Asia/Hong_Kong">(GMT+08:00) Hong Kong
            <option value="Asia/Krasnoyarsk">(GMT+08:00) Krasnoyarsk
            <option value="Asia/Kuala_Lumpur">(GMT+08:00) Kuala Lumpur
            <option value="Australia/Perth">(GMT+08:00) Perth
            <option value="Asia/Singapore">(GMT+08:00) Singapore
            <option value="Asia/Taipei">(GMT+08:00) Taipei
            <option value="Asia/Ulan_Bator">(GMT+08:00) Ulaan Bataar
            <option value="Asia/Urumqi">(GMT+08:00) Urumqi
            <option value="Asia/Irkutsk">(GMT+09:00) Irkutsk
            <option value="Asia/Tokyo">(GMT+09:00) Osaka
            <option value="Asia/Tokyo">(GMT+09:00) Sapporo
            <option value="Asia/Seoul">(GMT+09:00) Seoul
            <option value="Asia/Tokyo">(GMT+09:00) Tokyo
            <option value="Australia/Adelaide">(GMT+09:30) Adelaide
            <option value="Australia/Darwin">(GMT+09:30) Darwin
            <option value="Australia/Brisbane">(GMT+10:00) Brisbane
            <option value="Australia/Canberra">(GMT+10:00) Canberra
            <option value="Pacific/Guam">(GMT+10:00) Guam
            <option value="Australia/Hobart">(GMT+10:00) Hobart
            <option value="Australia/Melbourne">(GMT+10:00) Melbourne
            <option value="Pacific/Port_Moresby">(GMT+10:00) Port Moresby
            <option value="Australia/Sydney">(GMT+10:00) Sydney
            <option value="Asia/Yakutsk">(GMT+10:00) Yakutsk
            <option value="Asia/Vladivostok">(GMT+11:00) Vladivostok
            <option value="Pacific/Auckland">(GMT+12:00) Auckland
            <option value="Pacific/Fiji">(GMT+12:00) Fiji
            <option value="Pacific/Kwajalein">(GMT+12:00) International Date Line West
            <option value="Asia/Kamchatka">(GMT+12:00) Kamchatka
            <option value="Asia/Magadan">(GMT+12:00) Magadan
            <option value="Pacific/Fiji">(GMT+12:00) Marshall Is.
            <option value="Asia/Magadan">(GMT+12:00) New Caledonia
            <option value="Asia/Magadan">(GMT+12:00) Solomon Is.
            <option value="Pacific/Auckland">(GMT+12:00) Wellington
            <option value="Pacific/Tongatapu">(GMT+13:00) Nuku\alofa</option>
        </select></span>
            <a id="tz_select" class=" " style="cursor:pointer"><span class="badge badge-primary"><b>!</b></span>
                Change</a>

        </div>

    </div>
</div>


<input type="text" id="selected_days1" value="<?php //echo $result; ?>" style="display:none">
</div>
<!--<div class="modal-footer">
   <button type="button" class="btn blue">Save changes</button>
   <button type="button" class="btn default" data-dismiss="modal">Close</button>
</div>-->
</div>
<!-- /.modal-content -->
</div>
<!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<!-- BEGIN STYLE CUSTOMIZER -->

<!-- END BEGIN STYLE CUSTOMIZER -->
<!-- BEGIN PAGE HEADER-->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN PAGE TITLE & BREADCRUMB-->
        <h3 class="page-title">
            Edit/View Contact
        </h3>

        <!-- END PAGE TITLE & BREADCRUMB-->
    </div>
</div>
<!-- END PAGE HEADER-->
<!-- BEGIN PAGE CONTENT-->
<div class="row">
<div class="col-md-12">
<div class="tabbable tabbable-custom boxless">
<ul class="nav nav-tabs">
    <li><a href="#tab_0" data-toggle="tab">Edit</a></li>
    <li class="active"><a href="#tab_1" data-toggle="tab">View</a></li>
    <li><a href="#tab_2" data-toggle="tab">Doc Merge</a></li>
</ul>
<div class="tab-content">
<div class="tab-pane " id="tab_0">
<div class="portlet box green">
<div class="portlet-title">
    <div class="caption"><i class="icon-reorder"></i>Edit Contact</div>

</div>
<?php
error_reporting(0);
$id = $_GET['id'];
$contact_id = $_GET['id'];
$sql1 = "SELECT id, fname, lname, email, phone, address, city, state, zip, country, descr, zoho_status, source, cellphone, status, dob, company, lead_owner, created_date, created_by, modify_date, modified_by, hbp+0 as hbp, hcl+0 as hcl, diab+0 as diab, store_id, t_level, p_length, p_girth, hair_replacement+0 as hair_replacement, face_lift+0 as face_lift FROM contacts WHERE id = '$id'";
$query1 = mysql_query($sql1);
$row = mysql_fetch_array($query1);

$name = $row['fname'] . ' ' . $row['lname'];
$name1 = $row['lname'] . ', ' . $row['fname'];
$email = $row['email'];
$phone = $row['phone'];
$cell = $row['cellphone'];
$address = $row['address'];
$city = $row['city'];
$state = $row['state'];
$zip = $row['zip'];
if ($row['dob'] != '0000-00-00') {
    $dob = $row['dob'];
}

$tdate = date('Y-m-d');


function getAge($birthdate, $tdate)
{
    if ($birthdate == "") return 0;
    $adjust = (date("md") >= date("md", strtotime($birthdate))) ? 0 : -1;
    $years = date("Y") - date("Y", strtotime($birthdate));
    return $years + $adjust;
}


?>

<div class="portlet-body form">
<!-- BEGIN FORM-->


<form action="updatecontact.php" method="post" class="form-horizontal" id="frm_update">
<input type="text" class="form-control" id="userid" name="userid" value="<?php echo $row['id']; ?>"
       style="display:none;">

<div class="form-body">


<h3 class="form-section">Person Info</h3>

<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">First Name<span class="required">*</span></label>

            <div class="col-md-9">
                <input type="text" class="form-control" name="fname" value="<?php echo $row['fname']; ?>" required>
                <span class="help-block"></span>
            </div>
        </div>
    </div>
    <!--/span-->
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Last Name<span class="required">*</span></label>

            <div class="col-md-9">
                <input type="text" class="form-control" name="lname" value="<?php echo $row['lname']; ?>" required>
                <span class="help-block"></span>
            </div>
        </div>
    </div>
    <!--/span-->
</div>
<!--/row-->

<!--/row-->
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Email<span class="required">*</span></label>

            <div class="col-md-9">
                <input type="text" class="form-control" name="email" value="<?php echo $row['email']; ?>" required>
            </div>
        </div>
    </div>
    <!--/span-->
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Phone</label>

            <div class="col-md-9">
                <input type="text" name="phone" class="form-control" value="<?php echo $row['phone']; ?>">
            </div>
        </div>
    </div>
    <!--/span-->
</div>
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">D.O.B</label>

            <div class="col-md-9">
                <input type="date" class="form-control" name="dob" value="<?php echo $row['dob']; ?>">
            </div>
        </div>
    </div>
    <!--/span-->
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Cell Phone</label>

            <div class="col-md-9">
                <input type="text" name="cell_phone" class="form-control" value="<?php echo $row['cellphone']; ?>">
            </div>
        </div>
    </div>
    <!--/span-->
</div>
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Company</label>

            <div class="col-md-9">
                <input type="text" class="form-control" name="company" value="<?php echo $row['company']; ?>">
            </div>
        </div>
    </div>
    <!--/span-->
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Source<span class="required">*</span></label>

            <div class="col-md-9" id="display1">
                <input type="hidden" id="session_store" value="<?php echo $_SESSION['store_id']; ?>">
                <!--<select name="source" class="form-control">
											  <option><?php echo $row['source']; ?></option>
											
												</select>-->
                <?php
                $store_id = $_SESSION['store_id'];
                $query = mysql_query("select * from customization where store_id = '$store_id'");
                $row1 = mysql_fetch_array($query);
                $arr = $row1['source'];
                $ar = explode(',', $arr);

                ?>

                <select name="source" class="form-control" id="source">
                    <?php if ($row['source'] == '') {
                        ?>
                        <option>Select</option>
                    <?php
                    } else {
                        ?>
                        <option><?php echo $row['source']; ?></option>
                    <?php } ?>
                    <?php

                    foreach ($ar as $ar1) {
                        ?>
                        <option><?php echo $ar1; ?></option>
                    <?php } ?>
                </select>

            </div>
        </div>
    </div>
    <!--/span-->
</div>
<!--<div class="row">
                                       <div class="col-md-6">
                                          <div class="form-group">
                                             <label class="control-label col-md-3">Status</label>
                                             <div class="col-md-9">
											 <select name="status" class="form-control">
											 <option><?php //echo $row['status'];?></option>
												<option>Option1</option>
												<option>Option1</option>
												<option>Option1</option>
												<option>Option1</option>
												</select>
                                               
                                             </div>
                                          </div>
                                       </div>
                                      
                                    </div>-->
<h3 class="form-section">Address</h3>
<!--/row-->
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Address </label>

            <div class="col-md-9">
                <input type="text" class="form-control" name="address" value="<?php echo $row['address']; ?>">
            </div>
        </div>
    </div>

</div>
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">City</label>

            <div class="col-md-9">
                <input type="text" class="form-control" name="city" value="<?php echo $row['city']; ?>">
            </div>
        </div>
    </div>
    <!--/span-->
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">State</label>

            <div class="col-md-9">
                <select name="state" id="state" class="form-control">
                    <option value="<?php echo $row['state']; ?>"><?php echo $row['state']; ?></option>


                    <?php $sql_select = mysql_query("SELECT * from state");
                    while ($row1 = mysql_fetch_array($sql_select)) {
                        ?>
                        <option value="<?php echo $row1['name']; ?>"><?php echo $row1['name']; ?></option>
                    <?php } ?>

                </select>

                </select>

            </div>
        </div>
    </div>
    <!--/span-->
</div>
<!--/row-->
<div class="row">
<div class="col-md-6">
    <div class="form-group">
        <label class="control-label col-md-3">Post Code</label>

        <div class="col-md-9">
            <input type="text" class="form-control" name="zip" value="<?php echo $row['zip']; ?>">
        </div>
    </div>
</div>
<!--/span-->
<div class="col-md-6">
<div class="form-group">
<label class="control-label col-md-3">Country</label>

<div class="col-md-9">
<select name="country" id="country_list" class="form-control">
<option value="<?php echo $row['country']; ?>"><?php echo $row['country']; ?></option>
<option value="AF">Afghanistan</option>
<option value="AL">Albania</option>
<option value="DZ">Algeria</option>
<option value="AS">American Samoa</option>
<option value="AD">Andorra</option>
<option value="AO">Angola</option>
<option value="AI">Anguilla</option>
<option value="AQ">Antarctica</option>
<option value="AR">Argentina</option>
<option value="AM">Armenia</option>
<option value="AW">Aruba</option>
<option value="AU">Australia</option>
<option value="AT">Austria</option>
<option value="AZ">Azerbaijan</option>
<option value="BS">Bahamas</option>
<option value="BH">Bahrain</option>
<option value="BD">Bangladesh</option>
<option value="BB">Barbados</option>
<option value="BY">Belarus</option>
<option value="BE">Belgium</option>
<option value="BZ">Belize</option>
<option value="BJ">Benin</option>
<option value="BM">Bermuda</option>
<option value="BT">Bhutan</option>
<option value="BO">Bolivia</option>
<option value="BA">Bosnia and Herzegowina</option>
<option value="BW">Botswana</option>
<option value="BV">Bouvet Island</option>
<option value="BR">Brazil</option>
<option value="IO">British Indian Ocean Territory</option>
<option value="BN">Brunei Darussalam</option>
<option value="BG">Bulgaria</option>
<option value="BF">Burkina Faso</option>
<option value="BI">Burundi</option>
<option value="KH">Cambodia</option>
<option value="CM">Cameroon</option>
<option>Canada</option>
<option value="CV">Cape Verde</option>
<option value="KY">Cayman Islands</option>
<option value="CF">Central African Republic</option>
<option value="TD">Chad</option>
<option value="CL">Chile</option>
<option value="CN">China</option>
<option value="CX">Christmas Island</option>
<option value="CC">Cocos (Keeling) Islands</option>
<option value="CO">Colombia</option>
<option value="KM">Comoros</option>
<option value="CG">Congo</option>
<option value="CD">Congo, the Democratic Republic of the</option>
<option value="CK">Cook Islands</option>
<option value="CR">Costa Rica</option>
<option value="CI">Cote d'Ivoire</option>
<option value="HR">Croatia (Hrvatska)</option>
<option value="CU">Cuba</option>
<option value="CY">Cyprus</option>
<option value="CZ">Czech Republic</option>
<option value="DK">Denmark</option>
<option value="DJ">Djibouti</option>
<option value="DM">Dominica</option>
<option value="DO">Dominican Republic</option>
<option value="EC">Ecuador</option>
<option value="EG">Egypt</option>
<option value="SV">El Salvador</option>
<option value="GQ">Equatorial Guinea</option>
<option value="ER">Eritrea</option>
<option value="EE">Estonia</option>
<option value="ET">Ethiopia</option>
<option value="FK">Falkland Islands (Malvinas)</option>
<option value="FO">Faroe Islands</option>
<option value="FJ">Fiji</option>
<option value="FI">Finland</option>
<option value="FR">France</option>
<option value="GF">French Guiana</option>
<option value="PF">French Polynesia</option>
<option value="TF">French Southern Territories</option>
<option value="GA">Gabon</option>
<option value="GM">Gambia</option>
<option value="GE">Georgia</option>
<option value="DE">Germany</option>
<option value="GH">Ghana</option>
<option value="GI">Gibraltar</option>
<option value="GR">Greece</option>
<option value="GL">Greenland</option>
<option value="GD">Grenada</option>
<option value="GP">Guadeloupe</option>
<option value="GU">Guam</option>
<option value="GT">Guatemala</option>
<option value="GN">Guinea</option>
<option value="GW">Guinea-Bissau</option>
<option value="GY">Guyana</option>
<option value="HT">Haiti</option>
<option value="HM">Heard and Mc Donald Islands</option>
<option value="VA">Holy See (Vatican City State)</option>
<option value="HN">Honduras</option>
<option value="HK">Hong Kong</option>
<option value="HU">Hungary</option>
<option value="IS">Iceland</option>
<option>India</option>
<option value="ID">Indonesia</option>
<option value="IR">Iran (Islamic Republic of)</option>
<option value="IQ">Iraq</option>
<option value="IE">Ireland</option>
<option value="IL">Israel</option>
<option value="IT">Italy</option>
<option value="JM">Jamaica</option>
<option value="JP">Japan</option>
<option value="JO">Jordan</option>
<option value="KZ">Kazakhstan</option>
<option value="KE">Kenya</option>
<option value="KI">Kiribati</option>
<option value="KP">Korea, Democratic People's Republic of</option>
<option value="KR">Korea, Republic of</option>
<option value="KW">Kuwait</option>
<option value="KG">Kyrgyzstan</option>
<option value="LA">Lao People's Democratic Republic</option>
<option value="LV">Latvia</option>
<option value="LB">Lebanon</option>
<option value="LS">Lesotho</option>
<option value="LR">Liberia</option>
<option value="LY">Libyan Arab Jamahiriya</option>
<option value="LI">Liechtenstein</option>
<option value="LT">Lithuania</option>
<option value="LU">Luxembourg</option>
<option value="MO">Macau</option>
<option value="MK">Macedonia, The Former Yugoslav Republic of</option>
<option value="MG">Madagascar</option>
<option value="MW">Malawi</option>
<option value="MY">Malaysia</option>
<option value="MV">Maldives</option>
<option value="ML">Mali</option>
<option value="MT">Malta</option>
<option value="MH">Marshall Islands</option>
<option value="MQ">Martinique</option>
<option value="MR">Mauritania</option>
<option value="MU">Mauritius</option>
<option value="YT">Mayotte</option>
<option value="MX">Mexico</option>
<option value="FM">Micronesia, Federated States of</option>
<option value="MD">Moldova, Republic of</option>
<option value="MC">Monaco</option>
<option value="MN">Mongolia</option>
<option value="MS">Montserrat</option>
<option value="MA">Morocco</option>
<option value="MZ">Mozambique</option>
<option value="MM">Myanmar</option>
<option value="NA">Namibia</option>
<option value="NR">Nauru</option>
<option value="NP">Nepal</option>
<option value="NL">Netherlands</option>
<option value="AN">Netherlands Antilles</option>
<option value="NC">New Caledonia</option>
<option value="NZ">New Zealand</option>
<option value="NI">Nicaragua</option>
<option value="NE">Niger</option>
<option value="NG">Nigeria</option>
<option value="NU">Niue</option>
<option value="NF">Norfolk Island</option>
<option value="MP">Northern Mariana Islands</option>
<option value="NO">Norway</option>
<option value="OM">Oman</option>
<option value="PK">Pakistan</option>
<option value="PW">Palau</option>
<option value="PA">Panama</option>
<option value="PG">Papua New Guinea</option>
<option value="PY">Paraguay</option>
<option value="PE">Peru</option>
<option value="PH">Philippines</option>
<option value="PN">Pitcairn</option>
<option value="PL">Poland</option>
<option value="PT">Portugal</option>
<option value="PR">Puerto Rico</option>
<option value="QA">Qatar</option>
<option value="RE">Reunion</option>
<option value="RO">Romania</option>
<option value="RU">Russian Federation</option>
<option value="RW">Rwanda</option>
<option value="KN">Saint Kitts and Nevis</option>
<option value="LC">Saint LUCIA</option>
<option value="VC">Saint Vincent and the Grenadines</option>
<option value="WS">Samoa</option>
<option value="SM">San Marino</option>
<option value="ST">Sao Tome and Principe</option>
<option value="SA">Saudi Arabia</option>
<option value="SN">Senegal</option>
<option value="SC">Seychelles</option>
<option value="SL">Sierra Leone</option>
<option value="SG">Singapore</option>
<option value="SK">Slovakia (Slovak Republic)</option>
<option value="SI">Slovenia</option>
<option value="SB">Solomon Islands</option>
<option value="SO">Somalia</option>
<option value="ZA">South Africa</option>
<option value="GS">South Georgia and the South Sandwich Islands</option>
<option value="ES">Spain</option>
<option value="LK">Sri Lanka</option>
<option value="SH">St. Helena</option>
<option value="PM">St. Pierre and Miquelon</option>
<option value="SD">Sudan</option>
<option value="SR">Suriname</option>
<option value="SJ">Svalbard and Jan Mayen Islands</option>
<option value="SZ">Swaziland</option>
<option value="SE">Sweden</option>
<option value="CH">Switzerland</option>
<option value="SY">Syrian Arab Republic</option>
<option value="TW">Taiwan, Province of China</option>
<option value="TJ">Tajikistan</option>
<option value="TZ">Tanzania, United Republic of</option>
<option value="TH">Thailand</option>
<option value="TG">Togo</option>
<option value="TK">Tokelau</option>
<option value="TO">Tonga</option>
<option value="TT">Trinidad and Tobago</option>
<option value="TN">Tunisia</option>
<option value="TR">Turkey</option>
<option value="TM">Turkmenistan</option>
<option value="TC">Turks and Caicos Islands</option>
<option value="TV">Tuvalu</option>
<option value="UG">Uganda</option>
<option value="UA">Ukraine</option>
<option value="AE">United Arab Emirates</option>
<option value="GB">United Kingdom</option>
<option>United States</option>
<option value="UM">United States Minor Outlying Islands</option>
<option value="UY">Uruguay</option>
<option value="UZ">Uzbekistan</option>
<option value="VU">Vanuatu</option>
<option value="VE">Venezuela</option>
<option value="VN">Viet Nam</option>
<option value="VG">Virgin Islands (British)</option>
<option value="VI">Virgin Islands (U.S.)</option>
<option value="WF">Wallis and Futuna Islands</option>
<option value="EH">Western Sahara</option>
<option value="YE">Yemen</option>
<option value="ZM">Zambia</option>
<option value="ZW">Zimbabwe</option>
</select>
</div>
</div>
</div>
<!--/span-->
</div>
<!--/row-->
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Description</label>

            <div class="col-md-9">
                <textarea name="desc" class="form-control"><?php echo $row['descr']; ?></textarea>
                <span class="help-block"><?php //echo $row['descr']; ?> </span>

            </div>
        </div>
    </div>
</div>


<h3 class="form-section">Other Info</h3>
<!--/row-->
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Contact Owner</label>

            <div class="col-md-9">

                <select name="leadowner" id="leadowner" class="form-control">
                    <?php $lead = $row['lead_owner'];
                    $sql_select = mysql_query("SELECT * from employee_master where emp_id = '$lead'");
                    while ($row2 = mysql_fetch_array($sql_select)) {
                        ?>
                        <option value="<?php echo $row2['emp_id']; ?>"><?php echo $row2['emp_name']; ?></option>
                    <?php } ?>

                    <?php $sql_select = mysql_query("SELECT * from employee_master");
                    while ($row3 = mysql_fetch_array($sql_select)) {
                        ?>
                        <option value="<?php echo $row3['emp_id']; ?>"><?php echo $row3['emp_name']; ?></option>
                    <?php } ?>


                </select>
            </div>
        </div>
    </div>


    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3"> Store</label>

            <div class="col-md-9">
                <select name="changestore" class="form-control" id="changestore">
                    <?php
                    /*SELECT * FROM stores_master INNER JOIN emp_store ON stores_master.store_id = emp_store.store_id INNER JOIN employee_master ON emp_store.emp_id = employee_master.emp_id WHERE employee_master.emp_id =$_SESSION["userid"]*/
                    $sql_select = mysql_query("SELECT * FROM stores_master INNER JOIN emp_store ON stores_master.store_id = emp_store.store_id INNER JOIN employee_master ON emp_store.emp_id = employee_master.emp_id WHERE employee_master.emp_id =" . $_SESSION["userid"]);
					
					$hasStore = false;
                    while ($row6 = mysql_fetch_array($sql_select)) {
                        ?>
                        <option value="<?php echo $row6['store_id']; ?>" 
						<?php if($row6['store_id']==$row['store_id']) {echo "selected=selected"; $hasStore = true;} ?>><?php echo $row6['store_name']; ?></option>
                    <?php } 
					if(!$hasStore)
						echo "<option selected=selected value=0>Please choose a store</option>";
					?>


                </select>
                <span class="help-block"></span>
            </div>
        </div>
    </div>
</div>
<!-- row-->
<div class="row">


    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Created By</label>

            <div class="col-md-9"><?php $lead = $row['lead_owner'];
                $sql_select = mysql_query("SELECT * from employee_master where emp_id = '$lead'");
                while ($row4 = mysql_fetch_array($sql_select)) {
                    $created = $row4['emp_name'];
                } ?>
                <label class="control-label"><b><?php echo $created; ?> </b></label>
                <span class="help-block"><?php echo $row['created_date']; ?></span>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Modified By</label>

            <div class="col-md-9">
                <?php  $name = $_SESSION["name"]; ?>
                <input type="hidden" class="form-control" name="modifiedby" value="<?php echo $name; ?>">
                <label class="control-label "><b><?php echo $row['modify_date']; ?></b></label>
                <span class="help-block"><?php echo $row['modified_by']; ?></span>
            </div>
        </div>
    </div>
</div>

<h3 class="form-section">Medical Info</h3>
<!--/row-->
<div class="row">
    <div class="col-md-12">
        <div class="form-group">

            <div class="col-md-12">
                <div class="checkbox-list">
                    <label class="checkbox-inline">
                        <span><input type="checkbox" id="chkHighBloodPressure" name="chkHighBloodPressure" value="1" <?php if ($row['hbp'] == 1) echo 'checked="checked"'; ?>>High Blood Pressure</span>
                    </label>
                    <label class="checkbox-inline">
                        <span><input type="checkbox" id="chkHighCholesterol" name="chkHighCholesterol" value="1" <?php if ($row['hcl'] == 1) echo 'checked="checked"'; ?>>High Cholesterol</span>
                    </label>
                    <label class="checkbox-inline">
                        <span><input type="checkbox" id="chkDiabetes" name="chkDiabetes" value="1" <?php if ($row['diab'] == 1) echo 'checked="checked"'; ?>>Diabetes</span>
                    </label>
                    <label class="checkbox-inline">
                        <span><input type="checkbox" name="chkHairReplacement" name="chkHairReplacement" value="1" <?php if ($row['hair_replacement'] == 1) echo 'checked="checked"'; ?>>Hair Replacement</span>
                    </label>
                    <label class="checkbox-inline">
                        <span><input type="checkbox" name="chkFaceLift" name="chkFaceLift" value="1" <?php if ($row['face_lift'] == 1) echo 'checked="checked"'; ?>>Face Lift</span>
                    </label>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="form-group">

            <div class="col-md-12">
                <div class="checkbox-list">
                    <label class="checkbox-inline">
                        <span>Testosterone Level <input type="text" name="txtTLevel" value="<?php echo $row['t_level']; ?>"></span>
                    </label>
                    <label class="checkbox-inline">
                        <span>Penis Length <input type="text" name="txtPLength" value="<?php echo $row['p_length']; ?>"></span>
                    </label>
                    <label class="checkbox-inline">
                        <span>Penis Girth <input type="text" name="txtPGirth" value="<?php echo $row['p_girth']; ?>"></span>
                    </label>
                </div>
            </div>
        </div>
    </div>
</div>

<h3 class="form-section">Comments</h3>
<!--/row-->
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Comments </label>

            <div class="col-md-9">
                <input type="text" class="form-control" id="comment_text" name="comments"
                       value="<?php //echo $row['address'];?>">

            </div>
        </div>
    </div>
    <button type="button" class="btn btn-default" id="comment_save">Save</button>
</div>
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3"> </label>

            <div class="col-md-9" id="comment_block">
                <?php
                $sql_select = mysql_query("SELECT * from comments where contact_id = '$id'");
                while ($row7 = mysql_fetch_array($sql_select)) {
                    ?>
                    <div class="alert alert-info">
                        <strong><i class="icon-comment"></i></strong>&nbsp;<?php echo $row7['comment']; ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>

</div>
</div>

<div class="form-actions fluid">
    <div class="row">
        <div class="col-md-6">
            <div class="col-md-offset-3 col-md-9">
                <!-- <input type="submit" class="btn green" value="Save"> -->
                <button type="button" class="btn green save-button" id="btn_update">Save</button>
                <button type="button" class="btn green save-button" name="SaveAndContinue" id="addAndContinue">Save and
                    Continue</button>

                <button type="reset" class="btn default" onClick="window.history.back()">Cancel</button>

                <input type="hidden" name="Status" id="btnStatus" />
            </div>
        </div>
        <div class="col-md-6">
        </div>
    </div>
</div>
</form>

<!-- END FORM-->
</div>
</div>
</div>

<div class="tab-pane active" id="tab_1">
<div class="portlet box blue">
    <div class="portlet-title">
        <div class="caption"><i class="icon-reorder"></i>Patient Overview</div>
        <div class="tools">
            <a href="javascript:;" class="collapse"></a>
            <a href="#portlet-config" data-toggle="modal" class="config"></a>
            <a href="javascript:;" class="reload"></a>
            <a href="javascript:;" class="remove"></a>
        </div>
    </div>
    <div class="portlet-body form">
        <!-- BEGIN FORM-->
        <div class="form-body">
            <div class="row">
                <div class="col-md-6">


                    <div class="col-md-6">
                        <div class="well">
                            <address>
                                <h4><strong><?php echo $name1 . ' - '; ?><?php if (getAge($dob, $tdate) == '0') {
                                            echo '';
                                        } else {
                                            echo getAge($dob, $tdate) . ' year old';
                                        } ?></strong><br></h4>
                                <br>
                                <b>DOB: </b><?php echo $dob; ?><br>
                                <b>Email: </b><a href="mailto:#"><?php echo $email; ?></a><br>
                                <abbr title="Phone">P:</abbr> <?php echo $phone; ?>
                            </address>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="well">
                            <address>
                                <strong>Address: </strong> <?php echo $address; ?><br>
                                <strong>City: </strong> <?php echo $city; ?><br>
                                <strong>State: </strong><?php echo $state; ?><br>
                                <strong>Zip: </strong><?php echo $zip; ?><br>
                            </address>
                        </div>

                    </div>
                    <!-- well-->
                </div>

                <!-- col-->
                <div class="col-md-6">
                    <!-- BEGIN SAMPLE TABLE PORTLET-->
                    <div class="portlet box red">
                        <div class="portlet-title">
                            <div class="caption"><i class="icon-cogs"></i>Quick Stats</div>

                        </div>
                        <div class="portlet-body">
                            <table class="table table-hover" style="margin-bottom: -9px;">

                                <tbody>
                                <tr>
                                    <td>Office Visit</td>
                                    <?php
                                    $sql_ov = "select * from invoice_total where contact_id =" . $_GET['id'];
                                    $query_ov = mysql_query($sql_ov);
                                    while ($row_ov = mysql_fetch_array($query_ov)) {
                                        $invoice_id = $row_ov['id'];
                                        $sql_ov_c = "select * from invoice where invoice_id = '$invoice_id' and item_id = '3'";
                                        $query_ov_c = mysql_query($sql_ov_c);
                                        $row_ov_c = mysql_fetch_array($query_ov_c);

                                    }
                                    ?>
                                    <td><?php echo '$' . $row_ov_c['total']; ?> </td>
                                </tr>

                                <tr>
                                    <td>Life Time Spent</td>
                                    <?php
                                    $sql_lts = "select sum(sub_total) as total from invoice_total where contact_id =" . $_GET['id'];
                                    $query_lts = mysql_query($sql_lts);
                                    $row_lts = mysql_fetch_array($query_lts);

                                    ?>
                                    <td><?php echo '$' . $row_lts['total']; ?></td>
                                </tr>
                                <tr>
                                    <td>Current Balance</td>
                                    <?php
                                    $sql_cb = "select sum(balance) as bal from invoice_total where contact_id =" . $_GET['id'];
                                    $query_cb = mysql_query($sql_cb);
                                    $row_cb = mysql_fetch_array($query_cb);

                                    ?>
                                    <td><?php echo '$' . $row_cb['bal']; ?></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- END SAMPLE TABLE PORTLET-->
                </div>
            </div>
            <div class="row">
                    <div  class="col-md-3"><input type="checkbox" <?php if ($row['hbp'] == 1) echo 'checked="checked"'; ?>>High Blood Pressure</div>
                    <div  class="col-md-3"><input type="checkbox" <?php if ($row['hcl'] == 1) echo 'checked="checked"'; ?>>High Cholesterol</div>
                    <div  class="col-md-3"><input type="checkbox" <?php if ($row['diab'] == 1) echo 'checked="checked"'; ?>>Diabetes</div>
                    <div  class="col-md-3"><input type="checkbox" <?php if ($row['hair_replacement'] == 1) echo 'checked="checked"'; ?>>Hair Replacement</div>
            </div>
            <div class="row">
                <div  class="col-md-3"><input type="checkbox" <?php if ($row['face_lift'] == 1) echo 'checked="checked"'; ?>>Face Lift</div>
                <div  class="col-md-3">Testosterone Level: <?php echo $row['t_level']; ?></div>
                <div  class="col-md-3">Penis Length: <?php echo $row['p_length']; ?></div>
                <div  class="col-md-3">Penis Girth: <?php echo $row['p_girth']; ?></div>
            </div>
        </div>
        <!-- row-->


    </div>
</div>


<!-- END PAGE HEADER-->
<!-- BEGIN PAGE CONTENT-->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box blue">
            <div class="portlet-title">


                <div class="caption"><i class="icon-edit"></i>Appointment History</div>
                <?php  $name = $_SESSION["name"];

                $store_id = $_SESSION['store_id'];
                $query1 = mysql_query("select * from stores_master where store_id = '$store_id'");
                $row1 = mysql_fetch_array($query1);
                $def = $row1['store_cal'];
                $query = mysql_query("select * from calendar where calendar_id = '$def'");
                // print_r("select * from calendar where calendar_id = '$def'");
                $row = mysql_fetch_array($query);
                $zkey = $row['z_key'];

                ?>
            </div>
            <div class="portlet-body">
                <div class="table-toolbar">


                    <!--<label class="control-label col-md-3">Change Store</label>-->
                    <div class="col-md-2">
                        <input type="hidden" id="contact_id" name="contact_id" value="<?php echo $_GET['id']; ?>">
                        <select name="cal" class="form-control " id="cal">
                            <option>Change Calendar</option>
                            <?php

                            // $sql_select = mysql_query("SELECT * FROM stores_master INNER JOIN emp_store ON stores_master.store_id = emp_store.store_id INNER JOIN employee_master ON emp_store.emp_id = employee_master.emp_id WHERE employee_master.emp_id =".$_SESSION["userid"]);
                            $sql_select = mysql_query("SELECT * FROM calendar");
                            while ($row = mysql_fetch_array($sql_select)) {
                                ?>
                                <option value="<?php echo $row['z_key']; ?>"><?php echo $row['cname']; ?></option>
                            <?php } ?>


                        </select>
                    </div>


                    <div class="btn-group" id="add_cal">

                        <input type="hidden" id="zkey" value="<?php echo $zkey; ?>">
                        <input type="hidden" id="id" value="<?php echo $_GET['id']; ?>">
                        <!--<a href="widget.php?key=<?php echo $zkey; ?>&id=<?php echo $_GET['id']; ?>" target="_blank" class="btn green">
                           Add New <i class="icon-plus"></i>
                         </a>-->

                        <a href="#" id="new_cal" class="btn green new_cal" data-id="<?php echo $zkey; ?>"
                           data-id1="<?php echo $_GET['id']; ?>">Add New <i class="icon-plus"></i></a>
                    </div>


                </div>
                <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                    <thead>
                    <tr>

                        <th>Appointment Date</th>
                        <th>Appointment With</th>
                        <!--<th>Contact Name</th>-->
                        <th>Appointment Location</th>
                        <th>Created By</th>
                        <th>Created Date</th>
                        <th>Sales Person</th>
                        <!--<th>Modified By</th>
                        <th> Modified Date</th>-->
                        <th>Status</th>
                        <th>View/Edit</th>
                        <?php if($can_delete) { ?>
                            <th>Delete</th>
                        <?php } ?>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $query = mysql_query("select * from events inner join calendar on events.calendar_id = calendar.calendar_id inner join employee_master on calendar.emp_id = employee_master.emp_id where contact_id =" . $_GET['id'] . " order by events.start_date desc");
                    while ($row = mysql_fetch_array($query)) {
                        $appt = $_SESSION['name'];
                        $evt_id = $row['event_id'];
                        ?>
                        <?php $query21 = mysql_query("select * from calendar_status inner join employee_master on calendar_status.modified_by = employee_master.emp_id where calendar_status.event_id = '$evt_id' order by calendar_status.modified_date desc limit 1");
                        $row21 = mysql_fetch_array($query21);
                        $modified_name21 = $row21['eve_status'];
                        if ($modified_name21 == "Confirmed Ticket") {
                            $color = 'rgb(88, 245, 88)';
                        }
                        if ($modified_name21 == "Confirmed No Show") {
                            $color = 'rgb(171, 171, 242)';
                        }
                        if ($modified_name21 == "Cancelled") {
                            $color = 'rgb(232, 117, 117)';
                        }
                        if ($modified_name21 == "Recheduled") {
                            $color = 'yellow';
                        }
                        if ($modified_name21 == "Voice Mail") {
                            $color = 'rgb(145, 101, 145)';
                        }
                        if ($modified_name21 == "Scheduled") {
                            $color = '';
                        }
                        if ($modified_name21 == "Invoice") {
                            $color = 'rgb(251, 148, 148)';
                        }
                        if ($modified_name21 == "No Sale") {
                            $color = 'rgb(146, 145, 145)';
                        }
                        if ($modified_name21 == "Checked In") {
                            $color = 'rgb(229, 140, 107)';
                        }
                        ?>
                        <tr style="background-color:<?php echo $color; ?>">

                            <td><?php echo date('m/d/y h:iA', strtotime($row['start_date'])); ?></td>
                            <td><?php echo $row['emp_name']; ?></td>
                            <!-- <td><?php //echo $row['event_name']; ?></td>-->
                            <td class="center"><?php //echo $row['store_id'];
                                $query_st = mysql_query("select * from stores_master where store_id =" . $row['store_id']);
                                $row_st = mysql_fetch_array($query_st);
                                echo $row_st['store_name'];

                                ?></td>
                            <?php $query1 = mysql_query("select * from employee_master where emp_id =" . $row['created_by']);
                            $row1 = mysql_fetch_array($query1);
                            $created_name = $row1['emp_name'];
                            ?>
                            <td><?php echo $created_name; ?></td>
                            <td><?php echo date('m/d/y h:iA', strtotime($row['created_date'])); ?></td>

                            <?php $query2 = mysql_query("select * from calendar_status inner join employee_master on calendar_status.modified_by = employee_master.emp_id where calendar_status.event_id = '$evt_id' order by calendar_status.modified_date desc");
                            $row2 = mysql_fetch_array($query2);
                            $modified_name = $row2['emp_name'];
                            ?>
                            <!-- <td><?php echo $modified_name; ?></td>
							 <td><?php echo date('m/d/y h:iA', strtotime($row2['modified_date'])); ?></td>-->
                            <?php $query2 = mysql_query("select * from employee_master where emp_id = " . $row['sales_id']);
                            $row21 = mysql_fetch_array($query2);
                            $sales = $row21['emp_name'];
                            ?>
                            <td><?php echo $sales; ?></td>
                            <td><?php echo $row2['eve_status']; ?></td>


                            <td><a href="#" class="view" data-id="<?php echo $row['event_id']; ?>" data-toggle="modal">View/Edit</a>
                            </td>
                            <?php if($can_delete) { ?>
                                <td>
                                    <a class="delete" data-id="<?php echo $evt_id; ?>" href="javascript:;">Delete</a>
                                </td>
                            <?php } ?>
                        </tr>
                    <?php } ?>

                    </tbody>
                </table>
            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box light-grey">
            <div class="portlet-title">
                <div class="caption"><i class="icon-globe"></i>Invoice History</div>

            </div>
            <div class="portlet-body">
                <div class="table-toolbar">
                    <div class="btn-group">
                        <button class="btn green"
                                onClick="location.href='addinvoice.php?id=<?php echo $_GET['id']; ?>'">
                            Add New <i class="icon-plus"></i>
                        </button>
                    </div>
                    <div class="btn-group pull-right">

                    </div>
                </div>
                <table class="table table-striped table-bordered table-hover" id="sample_editable_2">
                    <thead>
                    <tr>
                        <th style="width:8px;"><input type="checkbox" class="group-checkable"
                                                      data-set="#sample_1 .checkboxes"/></th>
                        <th>#Ticket</th>
                        <th class="hidden-480">Date</th>
                        <!--<th class="hidden-480">Name</th>-->
                        <th class="hidden-480">Sales Person</th>
                        <th>Gross</th>
                        <th>Down Payment</th>
                        <th>Collection</th>
                        <th>Collected</th>
                        <th>Refunds</th>
                        <th>Balance</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $sql_ih = "select * from invoice_total where contact_id =" . $_GET['id'];

                    $query_ih = mysql_query($sql_ih);

                    while ($row_ih = mysql_fetch_array($query_ih)) {
                        ?>
                        <tr>
                            <td><input type="checkbox" class="checkboxes" value="1"/></td>
                            <td>
                                <a href="viewinvoice.php?id=<?php echo $row_ih['id']; ?>"><?php echo '#' . $row_ih['invoice_num']; ?></a>
                            </td>
                            <td class="hidden-480"><?php echo date('m/d/y', strtotime($row_ih['date'])); ?></td>
                            <!--<td class="hidden-480">Alex</td>-->
                            <?php
                            $sql_ih1 = "select * from employee_master where emp_id =" . $row_ih['sales_id'];
                            $query_ih1 = mysql_query($sql_ih1);
                            $row_ih1 = mysql_fetch_array($query_ih1);
                            ?>
                            <td class="center hidden-480"><?php echo $row_ih1['emp_name']; ?></td>
                            <td><span
                                    class="label label-sm label-success"><?php echo '$' . $row_ih['sub_total']; ?></span>
                            </td>
                            <td><?php echo '$' . $row_ih['downpayment']; ?></td>
                            <td><?php echo $row_ih['sub_total'] - $row_ih['downpayment']; ?></td>
                            <?php $sql1 = "select sum(collection) as sum1 from payment_collection where invoice_id = " . $row_ih['id'] . " and is_dp ='0'";
                            $query1 = mysql_query($sql1);
                            $rw2 = mysql_fetch_array($query1);
                            ?>
                            <td><?php echo '$' . $rw2['sum1']; ?></td>
                            <?php $sql_ih2 = "select sum(amount) as refunds from refunds where invoice_id =" . $row_ih['id'];
                            $query_ih2 = mysql_query($sql_ih2);
                            $row_ih1 = mysql_fetch_array($query_ih2);

                            ?>
                            <td><?php echo $row_ih1['refunds']; ?></td>
                            <td><?php echo '$' . $row_ih['balance']; ?></td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box green">
            <div class="portlet-title">
                <div class="caption"><i class="icon-glass"></i>Dose Orders</div>
            </div>
            <div class="portlet-body">
                <div class="table-toolbar">
                    <div class="btn-group">
                        <button class="btn green"
                                onClick="location.href='dose_add_order.php?cid=<?php echo $_GET['id']; ?>'">
                            Add New <i class="icon-plus"></i>
                        </button>
                    </div>
                    <div class="btn-group pull-right">
                        <input type="checkbox" name="chkShowAllOrders" id="chkShowAllOrders" />
                        <label class="control-label" for="chkShowAllOrders">Show All Orders</label>
                    </div>
                </div>
                <table class="table table-striped table-hover table-bordered" id="dose_table">
                    <thead>
                    <tr>
                        <th>Invoice #</th>
                        <th>Order Date</th>
                        <th>Last Update</th>
                        <th>Product Name</th>
                        <th>Included</th>
                        <th>Used</th>
                        <th>Left</th>
                        <th>Ordered</th>
                        <th>Status</th>
                        <th>Edit/Add</th>
                        <th>Delete</th>
                    </tr>
                    </thead>
                    <p id="dynamic_pager_content2">
                        <tbody id="tblOrders">
                        <?php

						$contactFilter =" it.contact_id = $contact_id";
						$doseStoreFilter = "";
						$storeFilter = "";
						
                        if($store_id != 0) {
							$doseStoreFilter = " where store_id = $store_id OR store_id IS NULL";
						
							$storeFilter = " AND it.store_id = $store_id";
                        }

                        //$filter .= " $join (((d.status<>2) AND (d.status<5) or d.status is null))"; // all that are NOT delivered and active will be displayed

                        $sql = "
SELECT
	it.`id`,
	it.`invoice_num`,
	c.id AS contact_id,
	c.fname,
	c.lname,
	c.phone,
	inv.`dose` * SUM(i.`quantity`) AS purchased_doses,
	IFNULL(SUM(d.`amount`), 0) AS ordered_doses,
	IFNULL(SUM(d.`left`), 0) AS left_doses,
	IFNULL((SELECT SUM(`amount`) FROM dose_lastorder
	WHERE dose_lastorder.`invoice_id` = it.id AND `inventory_id` = inv.`id` AND dose_lastorder.`status` <> 6), 0) total_ordered_doses,
	inv.`dose`,
	i.`item_id`,
	SUM(i.`quantity`) AS total_quantity,
	inv.`name`,
	d.status,
	d.id AS order_id,
	d.ordered_date,
	d.modified_date
FROM
	invoice_total it
INNER JOIN
	invoice i
ON
	it.`id` = i.`invoice_id`
INNER JOIN
	inventory inv
ON
	i.`item_id` = inv.`id`
INNER JOIN
	contacts c
ON
	it.contact_id = c.`id`
LEFT JOIN
	(SELECT * FROM dose_order_details $doseStoreFilter) d
ON
	d.`contact_id` = it.contact_id AND d.`inventory_id` = inv.`id` AND d.`invoice_id` = it.`id`
WHERE
	$contactFilter
GROUP BY
	it.`id`, it.`invoice_num`, c.id, c.fname, c.lname, c.phone, inv.`dose`, inv.`name`, d.status, order_id, it.store_id
HAVING
	NOT purchased_doses IS NULL
$storeFilter
-- AND
--    (d.ordered_date $filterDate OR d.ordered_date IS NULL)
";
                        //echo $sql;
                        $sql_select = mysql_query($sql);
                        while ($row = mysql_fetch_array($sql_select)) {
                            ?>
                            <tr>
                                <td>
                                    <a href="viewinvoice.php?id=<?php echo $row['id']; ?>">#<?php echo $row['invoice_num']; ?></a>
                                </td>
                                <td><?php echo $row['ordered_date']==null ? "" : date('m/d/Y h:iA', strtotime($row['ordered_date'])); ?></td>
                                <td><?php echo $row['modified_date']==null ? "" : date('m/d/Y h:iA', strtotime($row['modified_date'])); ?></td>
                                <td><?php echo $row['name']; ?></td>
                                <td><?php echo $row['purchased_doses']; ?></td>
                                <td><?php echo $row['ordered_doses']; ?></td>
                                <td><?php echo $row['left_doses']; ?></td>
                                <td><?php echo $row['total_ordered_doses']; ?></td>
                                <td><?php echo $DoseController->Statuses[$row['status']]; ?></td>
                                <td><?php
                                    if($row['order_id'] != null){
                                        echo "<a href='dose_add_order.php?id=$row[order_id]&callSource=$id'>Edit</a> |";
                                    }
                                    echo "<a href='dose_add_order.php?inv=$row[id]&iid=$row[item_id]&callSource=$id'>Add New</a>";
                                    ?></td>
                                <td><?php
                                    if($row['order_id'] != null){
                                        echo "<a class='deleteDoses' data-id='$row[order_id]' href='javascript:;'>Delete</a>";
                                    }
                                    ?></td>
                            </tr>
                        <?php } ?>

                        </tbody>
                    </p>
                </table>
            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>


<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box green">
            <div class="portlet-title">
                <div class="caption"><i class="icon-glass"></i>Dose Order Summary</div>
            </div>
            <div class="portlet-body">
                <div class="table-toolbar">
                </div>
                <table class="table table-striped table-hover table-bordered" id="dose_table_summary">
                    <thead>
                    <tr>
                        <th>Invoice #</th>
                        <th>Order Date</th>
                        <th>Last Update</th>
                        <th>Product Name</th>
                        <th>Included</th>
                        <th>Ordered</th>
                        <th>Left</th>
                        <th>Add</th>
                    </tr>
                    </thead>
                    <p id="dynamic_pager_content2">
                        <tbody>
                        <?php

                        $filter = " AND contact_id = $contact_id ";

                        $inv_filter = $filter;
                        $dose_filter = $filter;

                        if($store_id != 0) {
                            $inv_filter .= " and it.store_id = $store_id";
                            $dose_filter .= " and (d.store_id = $store_id OR d.store_id IS NULL)";
                        }

                        $sql = "
SELECT h.*,
 IFNULL(total_ordered,0) total_ordered, ordered_date, last_update
FROM
(

SELECT
	c.id AS contact_id,
	c.fname,
	c.lname,
	c.phone,
	inv.`dose`,
	SUM(i.`quantity`) AS total_quantity,
	inv.`dose` * SUM(i.`quantity`) AS purchased_doses,
	i.`item_id`,
	inv.`name`,
	inv.`id` inventory_id,
	it.`id` invoice_id,
	it.invoice_num
FROM invoice_total it
INNER JOIN invoice i ON it.`id` = i.`invoice_id`
INNER JOIN inventory inv ON i.`item_id` = inv.`id`
INNER JOIN contacts c ON it.contact_id = c.`id`
WHERE NOT dose IS NULL
$inv_filter
GROUP BY c.id, c.fname, c.lname, c.phone, inv.`dose`, inv.`name`, it.`id`

) h LEFT JOIN
(SELECT contact_id, inventory_id, invoice_id, MAX(ordered_date) ordered_date, MAX(modified_date) last_update, SUM(amount) total_ordered, SUM(`left`) total_left FROM dose_order_details d
WHERE `status` <> 6
$dose_filter
GROUP BY contact_id, inventory_id, invoice_id
) d
ON
	d.`contact_id` = h.contact_id AND d.`inventory_id` = h.`inventory_id` AND d.`invoice_id` = h.`invoice_id`
-- WHERE
--    (d.ordered_date $filterDate OR d.ordered_date IS NULL)
";

                        if($qtyLeft != "")
                            $sql .= " AND (purchased_doses-total_ordered) < $qtyLeft";
                        //echo $sql;
                        $sql_select = mysql_query($sql);
                        while ($row = mysql_fetch_array($sql_select)) {
                            ?>
                            <tr>
                                <td>
                                    <a href="viewinvoice.php?id=<?php echo $row['invoice_id']; ?>">#<?php echo $row['invoice_num']; ?></a>
                                </td>
                                <td><?php echo $row['ordered_date']==null ? "" : date('m/d/Y h:iA', strtotime($row['ordered_date'])); ?></td>
                                <td><?php echo $row['last_update']==null ? "" : date('m/d/Y h:iA', strtotime($row['last_update'])); ?></td>
                                <td><a href="javascript:;" class="inv_details"
                                       data-contact="<?php echo $row['contact_id']; ?>"
                                       data-invoice="<?php echo $row['invoice_id']; ?>"
                                       data-inventory="<?php echo $row['inventory_id']; ?>"><?php echo $row['name']; ?></a></td>
                                <td><?php echo $row['purchased_doses']; ?></td>
                                <td><?php echo $row['total_ordered']; ?></td>
                                <td><?php echo $row['purchased_doses'] - $row['total_ordered']; ?></td>
                                <td><?php echo "<a href='dose_add_order.php?inv=$row[invoice_id]&iid=$row[inventory_id]&callSource=$row[contact_id]'>Add New</a>"; ?></td>
                            </tr>
                        <?php } ?>

                        </tbody>
                    </p>
                </table>
            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>
<!-- END FORM-->
</div>

<div class="tab-pane " id="tab_2">
<div class="portlet box green">
<div class="portlet-title">
    <div class="caption"><i class="icon-reorder"></i>Document Merging</div>
</div>


<div class="portlet-body form">
<!-- BEGIN FORM-->


<div class="form-body">

<h3 class="form-section">Choose Document</h3>
<!--/row-->
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Document </label>

            <div class="col-md-9">
                <select id=drpDocMerge class="form-control">
<?php
    $sql = "SELECT id, title FROM document_library";
    $query = mysql_query($sql);
    while($row = mysql_fetch_array($query)){
        echo "<option value='$row[id]'>$row[title]</option>";
    }
?>
                </select>
            </div>
        </div>
    </div>

    <a href="" class="btn btn-default mergeButton" data-type="1">Save as Doc</a>
    <a href="" class="btn btn-default mergeButton" data-type="2">Save as PDF</a>
    <a href="" class="btn btn-default mergeButton" data-type="3" target="_blank">Preview</a>

    <br/>
    <br/>
    <br/>
</div>
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3"> </label>

            <div class="col-md-9" id="comment_block">
                <?php
                $sql_select = mysql_query("SELECT * from comments where contact_id = '$id'");
                while ($row7 = mysql_fetch_array($sql_select)) {
                    ?>
                    <div class="alert alert-info">
                        <strong><i class="icon-comment"></i></strong>&nbsp;<?php echo $row7['comment']; ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>

</div>
</div>


<!-- END FORM-->
</div>
</div>
</div>



</div>
</div>
</div>


<!-- END PAGE CONTENT-->
</div>
<!-- END PAGE -->
</div>
<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2014 &copy; POS System.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>
<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<!-- IMPORTANT! Load jquery-ui-1.10.1.custom.min.js before bootstrap.min.js to fix bootstrap tooltip conflict with jquery ui tooltip -->
<script src="assets/plugins/jquery-ui/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<!-- BEGIN PAGE LEVEL PLUGINS -->


<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>

<!-- END PAGE LEVEL PLUGINS -->

<script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>

<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="assets/scripts/app.js"></script>
<script src="assets/scripts/table-editable.js"></script>
<script src="assets/scripts/table-managed.js"></script>
<!-- END PAGE LEVEL SCRIPTS -->
<script>
    jQuery(document).ready(function () {
        // initiate layout and plugins
        App.init();

        // FormSamples.init();
        // FormComponents.init();
        TableEditable.init();
        //TableManaged.init();
        var store_id = $('#session_store').val();

        $.ajax({
            type: 'POST',
            data: {store_id: store_id},
            url: 'fetch_customization.php',
            success: function (data) {
                //$('#display1').html(data);
            }
        });

        $("#tblOrders tr").each(function(){
            var tr = $(this);
            var t = tr.find("td:eq(8)").text();
            if(t == "Cancelled" || t == "Picked Up" || t == "Expired" || t ==  "Not Picked Up")
                tr.css("display", "none");
        });

        $('#sample_editable_2').dataTable().fnDraw();
        $('#dose_table').dataTable({"aaSorting": [[2, 'desc']]}).fnDraw();
        $('#dose_table_summary').dataTable({"aaSorting": [[2, 'desc']]}).fnDraw();

        SetupLinks();
    });

    $('#chkShowAllOrders').change(function(){
        $("#tblOrders tr").each(function(){
            var tr = $(this);
            var t = tr.find("td:eq(8)").text();
						
            if(t == "Cancelled" || t == "Picked Up" || t == "Expired" || t ==  "Not Picked Up")
                ($('#chkShowAllOrders')[0].checked == true) ? tr.show() : tr.hide();
        });
    });

    $("#drpDocMerge").change(function(){
        SetupLinks();
    });

    function SetupLinks(){
        $('.mergeButton').each(function(){
            var type = $(this).data('type');
            var docId = $("#drpDocMerge").val();
            this.href = "document_library-merge.php?doc="+docId+"&id=<?php echo $id; ?>&type="+type;
        });
    }

    $('#comment_save').click(function () {
        var text = $('#comment_text').val();
        var contact_id = $('#userid').val();
        $('#comment_block').append('<div class="alert alert-info"><strong><i class="icon-comment"></i></strong>&nbsp;' + text + '</div>');
        $.ajax({
            type: 'POST',
            data: {contact_id: contact_id, text: text},
            url: 'comment_db.php',
            success: function (html) {

            }
        });

    });

    $('#cal').change(function () {
        var z_key = $('#cal').val();
        var id = $('#contact_id').val();
        $('#zkey').val(z_key);
        $('#id').val(id);

    });

    $('.cal_status').change(function () {
        var value = $(this).val();
        var text = $("option:selected", this).text();

        //var eventid = $('.eventid').val();
        //alert(value);
        //alert(text);
        $.ajax({
            type: 'POST',
            data: {value: value, text: text},
            url: 'change_cal_status.php',
            success: function (html) {

            }
        });

    });


    $('.save-button').click(function () { 
        var val1 = $('#source').val();
        if (val1 == 'Select') {
            alert("Select Source");
        } else if ($('#changestore').val() == 0) {
			alert("Select Store");
		}
        else {
            $('#btnStatus').val(this.id);
            $('#frm_update').submit();
        }
    });


    $('.view').click(function () {
        var value = $(this).data('id');
        $.ajax({
            type: 'POST',
            data: {value: value},
            url: 'signup2.php',
            success: function (html) {
                $('#portlet-config13').html(html);
                $('#portlet-config12').modal('show');
            }
        });

    });


    $('#new_cal').click(function () {
        //alert('hi');
        var zkey = $('#zkey').val();
        var id = $('#id').val();

        //var eventid = $('.eventid').val();
        //alert(value);
        //alert(text);
        $.ajax({
            type: 'POST',
            data: {zkey: zkey, id: id},
            url: 'widget1.php',
            success: function (html) {
                $('#portlet-config1').html(html);
                $('#portlet-config').modal('show');
            }
        });
    });


    $('#calendar_update').click(function () {
        //alert('hi');
        var eventid = $('#eventid').val();
        var status = $('#times12').val();
        var sales = $('#salesperson').val();
        //var eventid = $('.eventid').val();
        //alert(value);
        //alert(text);
        $.ajax({
            type: 'POST',
            data: {eventid: eventid, status: status, sales: sales},
            url: 'change_cal_status.php',
            success: function (html) {
                $('#portlet-config12').modal('hide');
                location.reload();
            }
        });
    });


    $('.delete').click(function () {
        var id = $(this).data('id');
        // alert(id);
        if (confirm("Are you sure to delete this row ?") == true) {
            $.ajax({
                type: 'POST',
                data: {id: id},
                url: 'delete_event.php',
                success: function (html) {
                }
            });
        }
    });

    function buildUrl(){
        return "editcontact.php?id=<?php echo $id; ?>";
    }

    $('.deleteDoses').click(function () {
        var r = confirm("Are you sure you want to delete this record?");
        if (r) {
            var order_id = $(this).data('id');
            $.ajax({
                type: 'POST',
                dataType: "json",
                data: {order_id: order_id},
                url: 'dose_delete_orders.php',
                success: function (data) {
                    location.href = buildUrl();
                },
                error: function (e,r) {
                    event.stopPropagation();
                }
            });
        } else {
            event.stopPropagation();
        }
    });

    $(".inv_details").click(function(){
        var contact = $(this).data('contact');
        var invoice = $(this).data('invoice');
        var inventory = $(this).data('inventory');

        $.ajax({
            type: 'POST',
            data: {contact: contact, invoice: invoice, inventory: inventory},
            url: 'dose_orderinfo.php',
            success: function (html) {
                $('#portlet-config-dose table').html(html);
                $('#portlet-config-dose').modal('show');

                $('#portlet-config-dose table').addClass('table')
                    .addClass('table-hover')
                    .addClass('table-bordered')
                    .dataTable({"aaSorting": [[2, 'desc']], "bDestroy": true}).fnDraw();
            }
        });
    });
</script>

<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>